slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNGetType

Gets the FN type name (as a string) from the FN context.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNGetType(FN fn,FNType *type)

Not Collective

### Input Parameter

| fn | - the math function context

### Output Parameter

| type | - name of the math function

### See Also

FNSetType()

### Level

intermediate

### Location

src/sys/classes/fn/interface/fnbasic.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages